import { html } from '@microsoft/fast-element';
import { UsersColumnConfig } from '../../users/users';
const userColumns = [
    {
        field: 'ACCESS_TYPE',
        headerName: 'Access Type',
    },
];
export const AdminTemplate = html `
  <zero-tabs>
    <span slot="start">Admin Entity Management</span>
    <zero-tab slot="tab">Split</zero-tab>
    <zero-tab slot="tab">Users</zero-tab>
    <zero-tab slot="tab">Profiles</zero-tab>
    <zero-tab-panel slot="tabpanel">
      <zero-error-boundary>
        <user-management :columns=${() => [...UsersColumnConfig, ...userColumns]}></user-management>
      </zero-error-boundary>
    </zero-tab-panel>
    <zero-tab-panel slot="tabpanel">
      <zero-error-boundary>
        <profile-management></profile-management>
      </zero-error-boundary>
    </zero-tab-panel>
    <zero-tab-panel slot="tabpanel">
      <zero-error-boundary>
        <entity-management
          resourceName="ALL_COUNTERPARTYS"
          title="Counterparty Management"
          updateEvent="EVENT_COUNTERPARTY_MODIFY"
          deleteEvent="EVENT_COUNTERPARTY_DELETE"
          createEvent="EVENT_COUNTERPARTY_INSERT"
        ></entity-management>
      </zero-error-boundary>
    </zero-tab-panel>
  </zero-tabs>
`;
